Loading...
Searching...
No Matches
COldObjectInterface Class Reference
Inheritance diagram for COldObjectInterface:
[legend]

## Public Member Functions

virtual void | Simplify ()
virtual void | DeletePart (int part)
virtual void | SetType (ObjectType type)
virtual int | GetObjectRank (int part)
virtual int | GetOption ()
virtual void | SetDrawFront (bool bDraw)
virtual void | FloorAdjust ()
virtual void | SetLinVibration (Math::Vector dir)
virtual void | SetCirVibration (Math::Vector dir)
virtual Math::Vector | GetTilt ()
virtual void | SetMasterParticle (int part, int parti)
virtual Math::Matrix * | GetWorldMatrix (int part)
virtual Character * | GetCharacter ()
virtual void | FlatParent ()
virtual void | SetVirusMode (bool bEnable)
virtual bool | GetVirusMode ()
virtual CAuto * | GetAuto ()

The documentation for this class was generated from the following files:

- src/object/old_object_interface.h
- src/object/old_object_interface.cpp